CheckProtobufDescriptorCompatibility
curl --request POST \
--url https://api.siftstack.com/api/v2/protobuf-descriptors:check-compatibility \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"protobufDescriptor": {
"messageTypeFullName": "<string>",
"fileDescriptorSet": "aSDinaTvuI8gbWludGxpZnk=",
"protoFileName": "<string>",
"namespace": "<string>",
"protobufDescriptorId": "<string>"
}
}
'import requests
url = "https://api.siftstack.com/api/v2/protobuf-descriptors:check-compatibility"
payload = { "protobufDescriptor": {
"messageTypeFullName": "<string>",
"fileDescriptorSet": "aSDinaTvuI8gbWludGxpZnk=",
"protoFileName": "<string>",
"namespace": "<string>",
"protobufDescriptorId": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/protobuf-descriptors:check-compatibility"
payload := strings.NewReader("{\n \"protobufDescriptor\": {\n \"messageTypeFullName\": \"<string>\",\n \"fileDescriptorSet\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"protoFileName\": \"<string>\",\n \"namespace\": \"<string>\",\n \"protobufDescriptorId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"isValid": true,
"incompatibleProtobufDescriptorFields": [
{
"protobufDescriptorId": "<string>",
"messageFullName": "<string>",
"desiredFieldName": "<string>",
"currentFieldName": "<string>",
"fieldNumber": "<string>",
"reason": "<string>",
"details": "<string>",
"fieldKind": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ProtobufDescriptorService
CheckProtobufDescriptorCompatibility
Used to check if a protobuf descriptor is compatible with the existing descriptors.
POST
/
api
/
v2
/
protobuf-descriptors:check-compatibility
CheckProtobufDescriptorCompatibility
curl --request POST \
--url https://api.siftstack.com/api/v2/protobuf-descriptors:check-compatibility \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"protobufDescriptor": {
"messageTypeFullName": "<string>",
"fileDescriptorSet": "aSDinaTvuI8gbWludGxpZnk=",
"protoFileName": "<string>",
"namespace": "<string>",
"protobufDescriptorId": "<string>"
}
}
'import requests
url = "https://api.siftstack.com/api/v2/protobuf-descriptors:check-compatibility"
payload = { "protobufDescriptor": {
"messageTypeFullName": "<string>",
"fileDescriptorSet": "aSDinaTvuI8gbWludGxpZnk=",
"protoFileName": "<string>",
"namespace": "<string>",
"protobufDescriptorId": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/protobuf-descriptors:check-compatibility"
payload := strings.NewReader("{\n \"protobufDescriptor\": {\n \"messageTypeFullName\": \"<string>\",\n \"fileDescriptorSet\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"protoFileName\": \"<string>\",\n \"namespace\": \"<string>\",\n \"protobufDescriptorId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"isValid": true,
"incompatibleProtobufDescriptorFields": [
{
"protobufDescriptorId": "<string>",
"messageFullName": "<string>",
"desiredFieldName": "<string>",
"currentFieldName": "<string>",
"fieldNumber": "<string>",
"reason": "<string>",
"details": "<string>",
"fieldKind": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I